package com.dbnt.faisp.main.fpiMgt.affair.mapper;

import com.dbnt.faisp.main.fpiMgt.affair.model.AffairBoard;
import com.dbnt.faisp.main.fpiMgt.affair.model.TypeStatistics;

import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface AffairMapper {

  List<AffairBoard> selectAffairBoardList(AffairBoard affair);

  Integer selectAffairBoardCnt(AffairBoard affair);

  String selectHashTags(Integer affairKey);


  List<TypeStatistics> selectStatusTotal(TypeStatistics typeStatistics);

  List<TypeStatistics> selecType1ListCnt(TypeStatistics typeStatistics);
 
  List<TypeStatistics> selecType2ListCnt(TypeStatistics typeStatistics);
  
  List<TypeStatistics> selecType3ListCnt(TypeStatistics typeStatistics);
 
  List<TypeStatistics> selecType4ListCnt(TypeStatistics typeStatistics);

  List<TypeStatistics> selectRatingStatusTotal(TypeStatistics typeStatistics);

  List<TypeStatistics> selectSangboTotal(TypeStatistics typeStatistics);

  List<TypeStatistics> selectArrCntList(TypeStatistics typeStatistics);
}
